Skip to main content
GET
List Egress Denial Summary

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Authorization
string
header
required

This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.

Path Parameters

app_id
string
required

The appId field.

id
string
required

The id field.

Query Parameters

dest_host
string

The destHost field.

dest_host_suffix
string

The destHostSuffix field.

egress_enforcement_mode
string

The egressEnforcementMode field.

egress_policy_verdict
string

Same filters as EdgeServiceListEgressTrafficEventsRequest.

limit
integer<int32>

Maximum groups returned, largest count first. 0 defaults to 50.

principal_user_id
string

The principalUserId field.

since
string<int64>

The since field.

until
string<int64>

The until field.

Response

200 - application/json

Successful response

The EdgeServiceListEgressDenialSummaryResponse message.

groups
Tb Egress Denial Group · object[] | null

Ordered by count descending.

truncated
boolean

True when more groups matched than were returned; narrow the filters or the window.